> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a patient profile

> Allows businesses to add new patient record by capturing personal, contact, and medical information.

**Name Field Requirement**:
      - Either `fln` **must be provided**, or at least `fn` must be included (optionally with `mn` and `ln`).




## OpenAPI

````yaml post /profiles/v1/patient/
openapi: 3.0.3
info:
  title: Patient APIs
  description: Patient Directory CRUD
  version: 1.0.0
servers:
  - url: https://api.eka.care
security: []
paths:
  /profiles/v1/patient/:
    post:
      tags:
        - Patient
      summary: Create a patient profile
      description: >
        Allows businesses to add new patient record by capturing personal,
        contact, and medical information.


        **Name Field Requirement**:
              - Either `fln` **must be provided**, or at least `fn` must be included (optionally with `mn` and `ln`).
      parameters:
        - in: header
          name: client-id
          required: true
          schema:
            type: string
            example: androiddoc
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                fn:
                  type: string
                  description: First name (will be converted and stored in lowercase)
                  example: eka
                mn:
                  type: string
                  description: Middle name (will be converted and stored in lowercase)
                  example: eka
                ln:
                  type: string
                  description: Last name (will be converted and stored in lowercase)
                  example: user
                fln:
                  type: string
                  description: Full name (will be converted and stored in lowercase)
                  example: eka user
                s:
                  type: string
                  description: Salutation (optional)
                  example: Dr
                dob:
                  type: string
                  format: date
                  example: '2000-01-02'
                gen:
                  type: string
                  enum:
                    - M
                    - F
                    - O
                  description: Gender
                  example: M
                bloodgroup:
                  type: string
                  enum:
                    - A+
                    - A-
                    - B+
                    - B-
                    - AB+
                    - AB-
                    - O+
                    - O-
                  description: Blood group of the patient
                  example: A+
                mobile:
                  type: string
                  description: Mobile number of the patient ( with country code )
                  example: '+916000000000'
                email:
                  type: string
                  format: email
                  example: testuser@eka.care
                  description: >-
                    Email address of the patient (will be converted and stored
                    in lowercase)
                username:
                  type: string
                  description: Unique UHID| partner id | username for the patient
                  example: UH0001
                abha:
                  type: string
                  description: ABHA address of the patient
                  example: xyz@abdm
                extras:
                  type: object
                  additionalProperties: true
                  description: |
                    Additional arbitrary data as a JSON object

                    **Restrictions:**
                    - Nested lists are NOT allowed
                    - Dictionaries inside lists are NOT allowed
                    - Only one level of nesting is allowed in dictionaries
                    - Keys starting with `_` will be ignored
                    - Key length must not exceed 16 characters
                  example:
                    dummyKey: Dummy Value
              required:
                - dob
                - gen
              oneOf:
                - required:
                    - fn
                - required:
                    - fln
      responses:
        '201':
          description: Patient created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  oid:
                    type: string
                    example: '1876816818618681'
                    description: >-
                      Unique identifier for the patient. Use this ID to retrieve
                      the patient profile.
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
        '401':
          description: Unauthorized
        '500':
          description: Server error
      security:
        - bearerAuth: []
components:
  schemas:
    400Error:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid Gender Enum
            code:
              type: string
              example: invalid_request
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````